chiark / gitweb /
Commit patch queue (exported by git-debrebase)
[elogind.git] / debian / elogind.init
1 #! /bin/sh
2 ### BEGIN INIT INFO
3 # Provides: elogind
4 # Required-Start: dbus $remote_fs $syslog
5 # Required-Stop: dbus $remote_fs $syslog
6 # Default-Start: 2 3 4 5
7 # Default-Stop: 0 1 6  
8 # Short-Description: start elogind at boot tim
9 # Description: Enable user and session management by elogind
10 ### END INIT INFO
11
12 set -e
13
14 # /etc/init.d/elogind: start and stop the elogind session management daemon
15
16 ELOGIND=/usr/sbin/elogind
17
18 test -x $ELOGIND || exit 0
19
20 umask 022
21
22 . /lib/lsb/init-functions
23
24 ELOGIND_OPTS="-D"
25 ELOGIND_PID=/run/elogind.pid
26
27 export PATH="${PATH:+$PATH:}/usr/sbin:/sbin"
28
29 case "$1" in
30   start)
31     log_daemon_msg "Starting session management daemon" "elogind" || true
32     if start-stop-daemon --start --quiet --oknodo --pidfile $ELOGIND_PID --exec $ELOGIND -- $ELOGIND_OPTS; then
33         log_end_msg 0 || true
34     else
35         log_end_msg 1 || true
36     fi
37     ;;
38   stop)
39     log_daemon_msg "Stopping session management daemon" "elogind" || true
40     if start-stop-daemon --stop --quiet --oknodo --pidfile $ELOGIND_PID; then
41         log_end_msg 0 || true
42     else
43         log_end_msg 1 || true
44     fi
45     ;;
46   reload|force-reload|restart)
47     log_daemon_msg "Restarting session management daemon" "elogind" || true
48     start-stop-daemon --stop --quiet --oknodo --retry 30 --pidfile $ELOGIND_PID
49     if start-stop-daemon --start --quiet --oknodo --pidfile $ELOGIND_PID --exec $ELOGIND -- $ELOGIND_OPTS; then
50         log_end_msg 0 || true
51     else
52         log_end_msg 1 || true
53     fi
54     ;;
55   try-restart)
56     log_daemon_msg "Restarting session management daemon" "elogind" || true
57     RET=0
58     start-stop-daemon --stop --quiet --retry 30 --pidfile $ELOGIND_PID || RET="$?"
59     case $RET in
60         0)
61         # old daemon stopped
62         if start-stop-daemon --start --quiet --oknodo --pidfile $ELOGIND_PID --exec $ELOGIND -- $ELOGIND_OPTS; then
63             log_end_msg 0 || true
64         else
65             log_end_msg 1 || true
66         fi
67         ;;
68         1)
69         # daemon not running
70         log_progress_msg "(not running)" || true
71         log_end_msg 0 || true
72         ;;
73         *)
74         # failed to stop
75         log_progress_msg "(failed to stop)" || true
76         log_end_msg 1 || true
77         ;;
78     esac
79     ;;
80   status)
81     status_of_proc -p $ELOGIND_PID $ELOGIND elogind && exit 0 || exit $?
82     ;;
83   *)
84     log_action_msg "Usage: /etc/init.d/elogind {start|stop|reload|force-reload|restart|try-restart|status}" || true
85     exit 1
86 esac
87
88 exit 0